// Copyright 2013-2014 The CGMath Developers. For a full listing of the authors,
// refer to the AUTHORS file at the top-level directory of this distribution.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#![feature(globs)]

extern crate cgmath;

use cgmath::{ToMatrix4, ToMatrix3};
use cgmath::Quaternion;

#[test]
fn to_matrix4()
{
    let quaternion = Quaternion::new(2f32, 3f32, 4f32, 5f32);

    let matrix_short = quaternion.to_matrix4();
    let matrix_long = quaternion.to_matrix3().to_matrix4();

    assert!(matrix_short == matrix_long);
}
